Skip to content
Skip to Content
Docs
Entitlements

Create Checkout Session

Create a Stripe Checkout session for the calling organization to subscribe to a paid plan. Returns a hosted URL to redirect the customer to. Reuses the organization's existing billing customer.

POST
/entitlements/checkout

Request Body

application/json
  1. body
plan_name*Plan Name

Internal identifier of the plan to subscribe to (e.g. 'pro').

success_url*Success Url

Absolute URL Stripe redirects to after a completed checkout.

cancel_url*Cancel Url

Absolute URL Stripe redirects to if the customer cancels.

Response Body

Successful Response

application/json
  1. response
url*Url

Hosted Stripe Checkout URL to redirect the customer to.

Example Request
curl -X POST 'https://api.bettermenu.live/entitlements/checkout' \  -H 'Content-Type: application/json' \  -d '{  "plan_name": "string",  "success_url": "string",  "cancel_url": "string"}'
Example Response
{  "url": "string"}

Recipe in, FDA-format Nutrition Facts out, with every version kept.

Start freeNo card needed.